# Language Overview {#lang_intro}

Kuroko is a dynamic, bytecode-compiled, embeddable, modular programming language with a familar, indentation driven syntax.

This reference documentation details the syntax and operation of the language's compiler and bytecode interpreters. The reference is divided into the following sections:

- @ref lang_compiler describes the processing of parsing Kuroko source files and how they are compiled to bytecode.
- @ref lang_objects describes the object model used by the virtual machine and how values are represented in memory and accessed by code.
- @ref lang_expressions provides detailed explanations of the syntax and execution of logical expressions.
- @ref lang_statements provides detailed explanations of the syntax and execution of branching statements and other key language contructs.

Much of the structure and verbiage in this guide is based on the language reference manuals for Python and Lua.
